- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Value_Struct_Member Struct Reference
Generic Value Struct management

Describes a single member of struct. More...

## Data Fields
const char * | name
| member name, used in lookups such as eina_value_struct_get()
const Eina_Value_Type * | type
| how to use this member
unsigned int | offset
| where this member is located within the structure memory

## Detailed Description

Describes a single member of struct.

The name is used to lookup the member description. This is done as specified as _Eina_Value_Struct_Operations::find_member(). For structures with huge number of members, consider using a better find_member function to quickly finding it! There are two helper operations provided to help this: EINA_VALUE_STRUCT_OPERATIONS_BINSEARCH and EINA_VALUE_STRUCT_OPERATIONS_STRINGSHARE, both depend on properly set _Eina_Value_Struct_Desc and _Eina_Value_Struct_Member.

See Also
  EINA_VALUE_STRUCT_MEMBER
  EINA_VALUE_STRUCT_MEMBER_SENTINEL

Since
  1.2

Examples:
  complex-types-client-eina-value.c, and eina_value_02.c.